# FortanixSdkmsRestApi.AppRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | Name of this application. Application names must be unique within an account. | 
**description** | **String** | Description of this application. | [optional] 
**addGroups** | **{String: [AppPermissions]}** | Map from UUIDs to group permissions | 
**delGroups** | **[String]** | Array of UUID of group | [optional] 
**modGroups** | **{String: [AppPermissions]}** | Map from UUIDs to group permissions | [optional] 
**defaultGroup** | **String** | The default group of this application. This is the group where security objects will be created by default by this application. | 
**enabled** | **Boolean** | Whether this application is enabled | [optional] 
**appOauthConfig** | [**AppOauthConfig**](AppOauthConfig.md) |  | [optional] 
**_interface** | **String** | Interface used with this application (PKCS11, CNG, JCE, KMIP, etc.). | [optional] 
**appType** | **String** | The user-defined type of this application. | [optional] 
**credential** | [**AppCredential**](AppCredential.md) |  | [optional] 
**secretSize** | **Number** | Size in bytes of app&#39;s secret. | [optional] 


