# FortanixSdkmsRestApi.FpeCompoundPart

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**or** | [**[FpeDataPart]**](FpeDataPart.md) | Represents an OR of multiple structures. This cannot be specified alongside the &#x60;concat&#x60; or &#x60;multiple&#x60; fields.  ***Implementation note: the order of the choices matters, as the parser will pick the first structure that matches. (The parser is locally \&quot;greedy\&quot;; see the description of &#x60;FpeDataPart&#x60; for more information about why this matters.)***  | [optional] 
**concat** | [**[FpeDataPart]**](FpeDataPart.md) | Represents a concatentation of multiple structures (in a particular order). This cannot be specified alongside the &#x60;or&#x60; or &#x60;multiple&#x60; fields.  | [optional] 
**multiple** | [**FpeDataPart**](FpeDataPart.md) |  | [optional] 
**minRepetitions** | **Number** | The minimum number of times the subpart can be repeated. This field should only be used if the &#x60;multiple&#x60; field is being used. | [optional] 
**maxRepetitions** | **Number** | The maximum number of times the subpart can be repeated. This field should only be used if the &#x60;multiple&#x60; field is being used. | [optional] 
**constraints** | [**FpeConstraints**](FpeConstraints.md) |  | [optional] 
**preserve** | **Boolean** | Whether the entire part should be preserved as-is (i.e., not tokenized). If this is set, any descendant subparts cannot contain any preserve-related fields set.  | [optional] 
**mask** | **Boolean** | Whether the entire part should be masked when doing masked decryption. If this is set, any descendant subparts cannot contain any mask-related fields set.  | [optional] 
**minLength** | **Number** | The minimum allowed length for this part (in chars). | [optional] 
**maxLength** | **Number** | The minimum allowed length for this part (in chars). | [optional] 


