# FortanixSdkmsRestApi.FpeOptionsBasic

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**radix** | **Number** | The base for input data. The radix should be a number from 2 to 36, inclusive. Each radix corresponds to a subset of ASCII alphanumeric characters (with all letters being uppercase). For instance, a radix of 10 corresponds to a character set consisting of the digits from 0 to 9, while a character set of 16 corresponds to a character set consisting of all hexadecimal digits (with letters A-F being uppercase).  | 
**minLength** | **Number** | The minimum allowed length for the input data. If not specified, as a default, the min length will be set to the smallest value that allows the condition radix^min_length &gt;&#x3D; 100 to be satisfied. | [optional] 
**maxLength** | **Number** | The maximum allowed length for the input data. If not specified, a default max length of 2^16 will be used. | [optional] 
**preserve** | **[Number]** | The list of indices of characters to be preserved while performing encryption/decryption. Indices are Python-like, where negative indices index from the back of the token, with -1 referring to the end of the token. It is an error to specify indices greater than (min_length - 1) or less than (-min_length).  | [optional] 
**mask** | **[Number]** | The list of indices of characters to be masked while performing masked decryption. Indices are Python-like, where negative indices index from the back of the token, with -1 referring to the end of the token. It is an error to specify indices greater than (min_length - 1) or less than (-min_length).  | [optional] 
**luhnCheck** | **Boolean** | Whether encrypted/decrypted data should satisfy LUHN checksum formula. | [optional] 
**name** | **String** | The user-friendly name for the data type that represents the input data. | [optional] 


