# FortanixSdkmsRestApi.SignRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**hashAlg** | [**DigestAlgorithm**](DigestAlgorithm.md) |  | 
**hash** | **Blob** | Hash of the data to be signed. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required.  | [optional] 
**data** | **Blob** | Data to be signed. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required. To reduce request size and avoid reaching the request size limit, prefer &#x60;hash&#x60;. When using Ed25519 keys, a distinction is made between providing the message directly in &#x60;data&#x60; and providing a prehashed value in &#x60;hash&#x60;. Providing a full message results in an \&quot;Ed25519\&quot; signature while providing &#x60;hash&#x60; results in an \&quot;Ed25519ph\&quot; signature, which is not compatible. See RFC 8032 for details.  | [optional] 
**mode** | [**SignatureMode**](SignatureMode.md) |  | [optional] 
**deterministicSignature** | **Boolean** |  | [optional] 


