# FortanixSdkmsRestApi.UserRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**userEmail** | **String** | User&#39;s email address. | 
**userPassword** | **String** | The password to assign to this user in SDKMS. | 
**accountRole** | [**[UserAccountFlags]**](UserAccountFlags.md) |  | [optional] 
**addGroups** | [**UserGroupMap**](UserGroupMap.md) | The user will be added to the specified security groups with the specified roles. | [optional] 
**delGroups** | [**UserGroupMap**](UserGroupMap.md) | The user will be removed from the specified security groups. | [optional] 
**modGroups** | [**UserGroupMap**](UserGroupMap.md) | The user&#39;s role in the specified groups will be updated to the specified roles. | [optional] 
**enabled** | **Boolean** | Whether this application is enabled. | [optional] 
**addU2fDevices** | [**[U2fAddDeviceRequest]**](U2fAddDeviceRequest.md) |  | [optional] 
**delU2fDevices** | [**[U2fDelDeviceRequest]**](U2fDelDeviceRequest.md) |  | [optional] 
**renameU2fDevices** | [**[U2fRenameDeviceRequest]**](U2fRenameDeviceRequest.md) |  | [optional] 


