# FortanixSdkmsRestApi.ExportComponentsResponse

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**components** | [**[SobjectComponent]**](SobjectComponent.md) | Components of the Security Object | 
**keyKcv** | **Blob** | KCV for the entire Security Object | 
**description** | **String** | optional description to the export request | [optional] 
**iv** | **Blob** | For symmetric ciphers, this value will be used for the cipher initialization value. If not provided, SDKMS will generate a random iv and return it in the response. If provided, iv length must match the length required by the cipher and mode.  | [optional] 
**tag** | **Blob** | For symmetric ciphers with cipher mode GCM or CCM, the authentication tag produced by the cipher. Its length will match the tag length specified by the encryption request.  | [optional] 


